"use strict";
this.name = "Goods Container 20 TC";
this.author = "Reval";
this.licence = "CC BY-NC-SA 4.0";
this.version = "1.2";


this.playerBoughtEquipment = function(equipment, paid) {
	// keep tally of pylon accessories bought
	this.$gc2Count++;
    // and don't let them exceed ship's pylon-capacity
	if ((equipment == "EQ_GC2_MINE") && (this.$gc2Count<=this.$gc2MCap)) {
		player.ship.cargoSpaceCapacity += 20;
		this.$gc2Containers++;
		player.consoleMessage("Fitting Goods Container #"+this.$gc2Containers+"...", 5);
	} else
	// unmount & sell cancels all container additions
	if (equipment == "EQ_MISSILE_REMOVAL") {
		player.ship.cargoSpaceCapacity -= this.$gc2Containers*20;
		if (this.$gc2Containers>0)
			player.consoleMessage("Removing all Containers...",5)
		this.$gc2Count = 0;
		this.$gc2Containers = 0;
	}
}


this.playerBoughtNewShip = function(ship, price) {
	// missile capacity (not exceed)
	this.$gc2MCap = player.ship.missileCapacity;
	this.$gc2Count = 0;
	this.$gc2Containers = 0;
}


this.equipmentRemoved = function(equipmentKey) {
    if (equipmentKey == "EQ_GC2_MINE") {
		player.ship.cargoSpaceCapacity -= 20;
		this.$gc2Containers--;	
		player.consoleMessage("Goods Container removed.",5);
	}
}


this.shipReleasedEquipment = function(mine) {
	this.$gc2Count--;
    if (mine == "EQ_GC2_MINE") {
		player.ship.cargoSpaceCapacity -= 20;
		this.$gc2Containers--;
		player.commsMessage("Goods Container jettisoned.",5);
	}
}


this.shipFiredMissile = function(missile, target) {
	this.$gc2Count--;
    if (missile == "EQ_GC2_MINE") {
		player.ship.cargoSpaceCapacity -= 20;
		this.$gc2Containers--;	
		player.commsMessage("Goods Container jettisoned.",5);
	}
}


this.startUpComplete = function () {
	// missile capacity (not exceed)
	this.$gc2MCap = player.ship.missileCapacity;
	this.$gc2Count = player.ship.missiles.length;
	// Load cargo space, missile & container counts if present
	if (missionVariables.gc2Cargo != null) 
		player.ship.cargoSpaceCapacity = missionVariables.gc2Cargo;
	if (missionVariables.gc2Count != null)
		this.$gc2Count = missionVariables.gc2Count;
	if (missionVariables.gc2Containers != null) 
		this.$gc2Containers = missionVariables.gc2Containers;
}


this.startUp = function() {
	// missile capacity (not exceed)
	this.$gc2MCap = 0;
	// pylon-use count
	this.$gc2Count = 0;
	// container count
	this.$gc2Containers = 0;
}


this.playerWillSaveGame = function(message) {
	missionVariables.gc2Count = this.$gc2Count;
	missionVariables.gc2Cargo = player.ship.cargoSpaceCapacity;
	missionVariables.gc2Containers = this.$gc2Containers;
}
